<?php $dominio = isset($_REQUEST['dominio']) ? $_REQUEST['dominio'] : ''; ?>
<?php $verbo = isset($_REQUEST['verbo']) ? $_REQUEST['verbo'] : ''; ?>
<?php
$arrayDominios = array(
    'Saber' => array(
        array(
            'Definir, describir, marcar, listar, memorizar, reconocer, relatar, reproducir, seleccionar, establecer', 'Recuento de hechos o estadísticas, recuerdo de procesos, reglas, definiciones, recitar una ley o procedimiento.'),
        array(
            'Explicar, criticar, clasificar, resumir, ilustrar, revisar, informar, estimar, interpretar, referenciar, ejemplificar', 'Interpretar el resultado dado un escenario (caso), sugerir un tratamiento.'),
        array(
            'Usar, aplicar, descubrir, manejar, ejecutar, solucionar, producir, implementar, construir, conducir, preparar, hacer, responder, jugar un rol', 'Poner una teoría en práctica, demostrar, solucionar un problema, manejar una actividad.'),
        array(
            'Analizar, catalogar, comparar, cuantificar, medir, probar, examinar, experimentar, relatar, graficar, diagramar, extrapolar, valorar, dividir', 'Identificar constituyentes de una parte o función o un proceso o concepto, desmenuzar una metodología o proceso evaluando de forma cualitativa sus elementos o relaciones, medir requerimientos o necesidades.'),
        array(
            'Desarrollar, planear, construir, crear, diseñar, organizar, revisar, formular, proponer, establecer, integrar, modificar', 'Hacer un plan o procedimiento, diseñar soluciones, integrar métodos, recursos, ideas, partes; crear equipos o nuevas formas de hacer las cosas, escribir protocolos o formas de contingencia.'),
        array(
            'Revisar, justificar, evaluar, presentar un caso, defender, informar, investigar, dirigir, apreciar, argumentar, proyectar, manejar', 'Revisar una estrategia o plan en términos de eficacia, retorno de inversión, costo‐efectividad, aplicación; evaluar su accesibilidad; hacer un análisis DOFA, producir una justificación de una propuesta, calcular sus efectos.')
    ),
    'Ser' => array(
        array(
            'Preguntar, oír, atender, tomar parte, discutir, conocer, estar abierto a, seguir, concentrar, leer, sentir, hacer', 'Oír al profesor, demostrar interés en la sesión, tomar notas, establecer tiempos para aprender, participar.'),
        array(
            'Reaccionar, responder, clarificar, interpretar, referenciar, ejemplificar, preguntar, presentar, citar, animar, ayudar, escribir, hacer, llevar a cabo', 'Participar activamente en grupos de discusión, actividades, mostrar interés en los resultados, mostrar entusiasmo por lo que se hace, cuestionarse y probar ideas, sugerir una interpretación.'),
        array(
            'Argumentar, retar, debatir, refutar, confrontar, justificar, persuadir, criticar', 'Decidir, valorar la relevancia de ideas o experiencias, proponerse una acción particular.'),
        array(
            'Construir, desarrollar, formular, defender, modificar, relacionar, priorizar, reconciliar, contrastar, comparar', 'Cuantificar o cualificar puntos de vista personales, establecer una posición personal, establecer creencias.'),
        array(
            'Actuar, mostrar, influenciar, solucionar, practicar', 'Autosuficiencia, comportamiento consistente con un valor principal.')
    ),
    'Dave' => array(
        array(
            'Copiar, seguir, replicar, repetir, adherir', 'Observar al profesor y repetir la acción, el proceso o la actividad.'),
        array(
            'Recrear, construir, hacer, ejecutar, implementar', 'Llevar a cabo una tarea oral o escrita.'),
        array(
            'Demostrar, completar, mostrar, perfeccionar, calibrar, controlar', 'Llevar a cabo una tarea o actividad con experticia y de alta calidad sin asistencia o ayuda; poder demostrar una actividad a otros.'),
        array(
            'Construir, solucionar, coordinar, integrar, adoptar, desarrollar, adaptar, formular, modificar, innovar', 'Relaciona y combina actividades asociadas para desarrollar métodos novedosos.'),
        array(
            'Diseñar, especificar, manejar, inventar', 'Define estrategias de acuerdo con las necesidades.')
    ),
    'Simpson' => array(
        array(
            'Copiar, seguir, replicar, repetir, adherir', 'Observar al profesor y repetir la acción, el proceso o la actividad.'),
        array(
            'Reconocer, distinguir, tocar, notar, oír, sentir', 'Utilizar o seleccionar los sentidos para recolectar datos.'),
        array(
            'Preparar, poner listo', 'Preparación física, mental o emocional antes de una experiencia o Tarea.'),
        array(
            'Imitar, copiar, seguir, tratar', 'Imita o hace seguimiento instruccional, ensayo y error.'),
        array(
            'Hacer, realizar, completar', 'Responder competentemente a estímulos y acciones.'),
        array(
            'Coordinar, fijar, demostrar', 'Ejecutar procesos complejos con experticia.'),
        array(
            'Ajustar, integrar, resolver', 'Alterar la respuesta frente a una realidad de retos variados.'),
        array(
            'Diseñar, formular, modificar, rediseñar', 'Desarrolla y ejecuta actividades nuevas como respuesta integrada.')
    )
);
if($verbo == '') { ?>
<option value="">--Seleccione <?php echo $dominio; ?>--</option>
<?php } ?>
<?php
foreach($arrayDominios as $dominioKey => $dominioArray) {
    if(strpos($dominio, $dominioKey) !== false) {
        if($verbo == '') {
            $arrayOptions = array();
            foreach($dominioArray as $dominioArray2) {
                $verbosArray = explode(',', $dominioArray2[0]); 
                foreach($verbosArray as $keyVerbo => $valueVerbo) {
                    array_push($arrayOptions, trim(ucwords(strtolower($valueVerbo))));
                }
            }
            sort($arrayOptions);
            foreach($arrayOptions as $key => $value) { ?>
                <option value="<?php echo $value; ?>"><?php echo $value; ?></option>
            <?php }
        } else {
            foreach($dominioArray as $dominioArray2) {
                if(strpos(strtolower($dominioArray2[0]), strtolower($verbo)) !== false) {
                    echo $dominioArray2[1];
                }
            }
        }
    }
} ?>